Bug 736393 - Disabled bugmail for user account not indicated in Preferences - Email Preferences
Summary: Disabled bugmail for user account not indicated in Preferences - Email Prefer...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Bugzilla
Classification: Community
Component: User Interface
Version: 3.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 4.2-6
Assignee: Matt Tyson 🤬
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 15:16 UTC by Jan Pokorný [poki]
Modified: 2018-12-09 06:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-02 06:55:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 796386 None None None Never

Description Jan Pokorný [poki] 2011-09-07 15:16:14 UTC
I have just encountered this problem (issue with my account in question
already fixed) in the current version of bugzilla.redhat.com (3.6.6014
but surely it was there earlier):

- without knowing it, I had bugmail/emails notification by BZ completely
  disabled
- trying to solve this on my own, I tried various settings in Email
  Preferences, trying to persuade BZ that I really want to get the emails,
  but it was fruitless
- after solving this with admin, I got to know that I have bugmail disabled
  for my account and I could have solved it on my own, using "utterly magic"
  (as I see it, more below) Enable All Mail button in Email Preferences

From my point of view, there are two interconnected problems:

1. Bugzilla user is not informed that she has bugmail disabled for her accout.
   This is contrary to the exact report of fine-tune notification settings, so
   these granular items are provided (current state + ability to change it)
   while the most important thing about the bugmail is missing.
   Apparently, the fine-tune settings does not give any sense if bugmail is
   disabled as whole (at least, respective check boxes could be shadowed
   in such case, but it is IMHO not enough).

2. Enable/Disable All Email buttons in Email Preferences are confusing or even
   misleading.  Expected behavior (as I can say) behind these buttons is
   "modify the fine-tune settings grid so the user will achieve what she
   prompted for (i.e. filter nothing or everything)" and not
   "activate/deactivate magic flag in bugzilla database that is otherwise
   hidden to the user".

In fact, I have not consulted BZ help/documentation (sorry if it is there),
but the intuitive usability should have a priority before documenting
awkward things.

Thanks for considering the improvement.

Comment 1 Jeff Fearn 🐞 2012-05-30 04:49:20 UTC
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.

Comment 5 xuezhi ma 2012-09-28 05:40:40 UTC
Simon:

I'm not clear with the expected result, if there is a button behind Enable/Disable All emails? what is the button name? what will happen after I click the button?

Comment 6 Simon Green 2012-09-28 05:45:44 UTC
(In reply to comment #5)
> Simon:
> 
> I'm not clear with the expected result, if there is a button behind
> Enable/Disable All emails? what is the button name? what will happen after I
> click the button?

If a user has bugmail disabled by the administrator (Administation -> User -> (username) -> Bugmail disabled), then nothing the user does on their e-mail preferences will enable them to receive bugmail.

The change we will make is that if the user has bugmail disabled by the admin, then we will have a warning message on the E-mail preferences page that says the need to contact <Params(maintainer)> to re-enable bugmails.

  -- simon

Comment 8 Matt Tyson 🤬 2012-10-02 06:49:31 UTC
A patch for this has been submitted upstream.

Comment 9 Simon Green 2012-10-02 06:55:51 UTC
(In reply to comment #8)
> A patch for this has been submitted upstream.

It's also been marked as review+ :)

We will inherit the change when upstream commit it.

Comment 10 Simon Green 2012-10-09 10:16:53 UTC
This will be part of Bugzilla 4.4


Note You need to log in before you can comment on or make changes to this bug.